commit a465588218c1643eedc35b3c24409cb775454eee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 5 15:50:06 2024 -0700

    libX11 1.8.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 52a191ee096e93cf711f77b6a56c508b68afc0b6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 5 13:15:32 2024 +1000

    Revert "ximcp: Unmark to fabricate key events with XKeyEvent serial"
    
    This commit causes a regression, see #205, #206, #207, #208.
    
    This reverts commit 024d229fdf88a7755577b01b46af6ef908d599e0.

commit 3ea9f4f769fecbbc8c5210c5833ad83ab8d9e97e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 5 13:14:33 2024 +1000

    Revert "imDefLkup: Commit first info in XimCommitInfo"
    
    This commit causes a regression, see #205, #206, #207, #208.
    
    This reverts commit 041b5291f0956c5cda5054be2981c0d02b009a4c.

commit 9afd55ada5d7a3c1d3ed23ff8451629a1d989a7f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Mar 25 11:51:03 2024 -0700

    xlibi18n: restore parse_line1 for WIN32 builds
    
    Accidentally removed by __UNIXOS2__ cleanup
    Closes: #204
    Fixes: 225a4bbb ("unifdef __UNIXOS2__")
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e4927d0c4fbf950bc45fc27309290e1911e75f42
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 24 15:02:23 2024 -0700

    libX11 1.8.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ab58f26d388c82ffe46ef1c7dd1cee6259eec8a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 21 18:23:36 2024 -0800

    unifdef NULL_NOT_ZERO
    
    I can't find any evidence this was ever defined, should only have
    been needed for odd-ball pre-C89 compilers.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7bb2a5050a2f6049c92b301fae1cf89532b70060
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 21 18:18:46 2024 -0800

    unifdef USL_SHAREDLIB
    
    I can't find any history of this being set in the imake or autoconf builds
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4400a68b3a5ecacd1f997d41a0572544fa8fe544
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 17 15:37:41 2024 -0800

    unifdef Lynx
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1e56b27429667e772b15b0f39863a8467297062b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:15:00 2024 -0800

    unifdef __QNX__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ab0a3014822687da48cd3784253c34dea0a6ad2c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:10:59 2024 -0800

    unifdef __uxp__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ce3962b701c502acc96b6eaf104a5ffc317c5d7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:07:15 2024 -0800

    unifdef __vax__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 65a6f162fd9fee4e647ac49c546c5d6a1655c58c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:03:19 2024 -0800

    unifdef __sgi_not_xconsortium
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3296d7b8d14a6c114489d40b76e8da339e11b25c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:01:25 2024 -0800

    unifdef __sgi
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4322fff7e125c7975dc1b83c433b904c7d3384b5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 15:00:34 2024 -0800

    unifdef sgi
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 613d3624c2cc0ab2f18206e165a3e4a02e261148
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 14:59:28 2024 -0800

    unifdef hpux
    
    Also removes shl_load() support, which was only buildable for HP-UX
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 225a4bbbbd174e26cc408640e10f3c37f81f3a3f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 14:56:22 2024 -0800

    unifdef __UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0df284b450933e0239d1a85a7ff2d0c9d44d22af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 14:50:29 2024 -0800

    unifdef ultrix
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c3f3eb1284c59305568288923810dc155df6025c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 14:49:13 2024 -0800

    unifdef AIXV3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b35344c9a74b478509e33384cc99bcc4fd092a2d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 11 14:47:31 2024 -0800

    unifdef __osf__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 041b5291f0956c5cda5054be2981c0d02b009a4c
Author: Takao Fujiwara <tfujiwar@redhat.com>
Date:   Wed Jan 31 20:27:57 2024 +0900

    imDefLkup: Commit first info in XimCommitInfo
    
    Xic.private.proto.commit_info can receive multiple XimCommitInfo
    when typing keys very quickly like an bar code scanner (or evemu-play)
    and the first info in XimCommitInfo should be committed to keep
    the typing key order.
    
    Fixes: #198

commit 024d229fdf88a7755577b01b46af6ef908d599e0
Author: Takao Fujiwara <tfujiwar@redhat.com>
Date:   Wed Jan 31 20:26:40 2024 +0900

    ximcp: Unmark to fabricate key events with XKeyEvent serial
    
    _XimProtoKeypressFilter() and _XimProtoKeyreleaseFilter() can
    receive XKeyEvent from both the typing on the keyboard and the
    callback of XIM_FORWARD_EVENT.
    
    If the filter functions unmark to fabricate XKeyEvent from the typing
    on the keyboard during receiving XKeyEvent from the callback of
    XIM_FORWARD_EVENT with typing keys very quickly likes an bar code
    scanner (or evemu-play), XIM server cannot receive some key events and
    it causes the key typing order to get scrambled.
    
    Now XIM client saves the serial in XKeyEvent and the filter functions
    unmark to fabricate XKeyEvent from the callback of XIM_FORWARD_EVENT
    only.
    
    Fixes: #198

commit ae3eca18cec44a953789c7f77ffab888713ed132
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Nov 30 15:05:51 2023 +1000

    Fix _XkbReadGetDeviceInfoReply for nButtons == dev->buttons
    
    XkbGetDeviceInfo(dpy, XkbXI_ButtonActionsMask, 2, 0, 0) always returns
    NULL because the number of buttons on the device equals (unsurpisingly)
    the number of buttons requested (i.e. first + nBtns == dev->nbuttons).
    
    This currently causes it to bail out and return NULL.
    
    Fixes f293659d5a4024bda386305bb7ebeb4647c40934

commit 0a951047f64e87c5ab328084310bf27bcd4964f3
Author: Walter Harms <wharms@bfs.de>
Date:   Mon Jan 8 17:18:19 2024 +0100

    _XimProtoIMFree:no need to check arg for Xfree()
    
       Xfree() will happily ignore NULL, no need to check

commit dce614623e1f069d79d33a233305e0754fa2fd48
Author: Walter Harms <wharms@bfs.de>
Date:   Mon Jan 8 17:01:44 2024 +0100

    _XimEncodeString:no need to check arg for Xfree()
    
    Xfree() will happily ignore NULL, no need to check

commit 4f78b615806fa1cfe2bdcf3f7c868b8a00dede77
Author: Walter Harms <wharms@bfs.de>
Date:   Mon Jan 8 16:50:52 2024 +0100

    Fix XCreateIC() memory leak (Part 2)
    
    Direct leak of 12 byte(s) in 2 object(s) allocated from:
        #0 0x7f4f25c3f7a7 in strdup (/usr/lib64/libasan.so.6+0x5c7a7)
        #1 0x7f4f252ce6a1 in _XimEncodeString libX11-1.8.3/modules/im/ximcp/imRm.c:818
        #2 0x7f4f252ce6a1 in _XimEncodeString libX11-1.8.3/modules/im/ximcp/imRm.c:807
        #3 0x7f4f252d2f0f in _XimSetICValueData libX11-1.8.3/modules/im/ximcp/imRm.c:2912
        #4 0x7f4f252b536a in _XimLocalCreateIC libX11-1.8.3/modules/im/ximcp/imLcIc.c:176
        #5
    
     0x7f4f251f0105 in XCreateIC libX11-1.8.3/src/xlibi18n/ICWrap.c:251
    
    detected and fix by Patrick Lerda <patrick9876@free.fr>
    applied with adjustment, do changes when OOM (unlikely but good practise)

commit ed0b97e480d7d07c24719007273989b2eb3e4046
Author: Walter Harms <wharms@bfs.de>
Date:   Mon Jan 8 16:21:02 2024 +0100

    _XimLocalDestroyIC:fix possible mem leak
    
    Adapted:
    Fix XCreateIC() memory leak by Patrick Lerda <patrick9876@free.fr> Part 1

commit 07978634b8f4f7d9537c7f46ddcd48f2ab3efcb8
Author: Walter Harms <wharms@bfs.de>
Date:   Mon Jan 8 15:16:11 2024 +0100

    _XimLocalCreateIC: get rid of bzero

commit 59c9a89e250d479334bdd4d800ca6cfa919b8fc3
Author: Walter Harms <wharms@bfs.de>
Date:   Mon Jan 8 15:09:49 2024 +0100

    _XimLocalCreateIC: minor cleanup
    
    minor cleanup, no code change

commit e5b14e59a16fa49c7e7af0acfc1e4311bebec536
Author: Walter Harms <wharms@bfs.de>
Date:   Mon Jan 8 13:35:28 2024 +0100

    _XimLocalCreateIC:no need to check arg for Xfree()
    
    Xfree() will happily ignore NULL, no need to check

commit e6310b5212f1dea184e1626ad5eeec167fcb41ac
Author: Walter Harms <wharms@bfs.de>
Date:   Mon Jan 8 13:06:03 2024 +0100

    _XimLocalDestroyIC: no need to check arg for Xfree()
    
    Xfree() will happily ignore NULL, no need to check

commit 1261802fb316f088504b99ffe80095d13825a85b
Author: Walter Harms <wharms@bfs.de>
Date:   Sun Jan 7 18:30:30 2024 +0100

    fix table width
    
    the width of first column was to small and
    caused a hyphenation. there is only one word,
    fix for me.

commit c745719e23af44a4b40ab4508447637b35d91a1e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Oct 3 09:00:01 2023 -0700

    libX11 1.8.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7916869d16bdd115ac5be30a67c3749907aea6a0
Author: Yair Mizrahi <yairm@jfrog.com>
Date:   Thu Sep 7 16:15:32 2023 -0700

    CVE-2023-43787: Integer overflow in XCreateImage() leading to a heap overflow
    
    When the format is `Pixmap` it calculates the size of the image data as:
        ROUNDUP((bits_per_pixel * width), image->bitmap_pad);
    There is no validation on the `width` of the image, and so this
    calculation exceeds the capacity of a 4-byte integer, causing an overflow.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b4031fc023816aca07fbd592ed97010b9b48784b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 7 16:12:27 2023 -0700

    XCreatePixmap: trigger BadValue error for out-of-range dimensions
    
    The CreatePixmap request specifies height & width of the image as CARD16
    (unsigned 16-bit integer), so if either is larger than that, set it to 0
    so the X server returns a BadValue error as the protocol requires.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 73a37d5f2fcadd6540159b432a70d80f442ddf4a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 7 15:55:04 2023 -0700

    XPutImage: clip images to maximum height & width allowed by protocol
    
    The PutImage request specifies height & width of the image as CARD16
    (unsigned 16-bit integer), same as the maximum dimensions of an X11
    Drawable, which the image is being copied to.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 204c3393c4c90a29ed6bef64e43849536e863a86
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 7 15:54:30 2023 -0700

    CVE-2023-43786: stack exhaustion from infinite recursion in PutSubImage()
    
    When splitting a single line of pixels into chunks to send to the
    X server, be sure to take into account the number of bits per pixel,
    so we don't just loop forever trying to send more pixels than fit in
    the given request size and not breaking them down into a small enough
    chunk to fix.
    
    Fixes: "almost complete rewrite" (Dec. 12, 1987) from X11R2
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6858d468d9ca55fb4c5fd70b223dbc78a3358a7f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 17 14:19:40 2023 -0700

    CVE-2023-43785: out-of-bounds memory access in _XkbReadKeySyms()
    
    Make sure we allocate enough memory in the first place, and
    also handle error returns from _XkbReadBufferCopyKeySyms() when
    it detects out-of-bounds issues.
    
    Reported-by: Gregory James DUCK <gjduck@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 78b37accff1abbe713349d59fdefd963ffa04bbc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 17 10:11:02 2023 -0700

    XOpenDisplay: ensure each screen has a valid root_visual pointer
    
    Other code assumes this pointer cannot be NULL, so fail the connection
    if a bug has caused the X server to give a non-existent visual ID for
    the default visual of any screen.
    
    Reported-by: Gregory James DUCK <gjduck@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3962080b7846d79fd3cf10b16eddacf68eb321b7
Author: Antti Savolainen <antti.savo@gmail.com>
Date:   Tue Aug 8 11:37:03 2023 +0000

    Add two compose sequences for dagger/obelisk symbols
    
    The dagger symbol has several modern uses such as marking someone as
    dead or something as extinct. Historically it has been used to indicate
    a footnote.

commit 15bbc81cf6b7c76b8a59cab6d77c9aba88b8562d
Author: Christopher Chavez <chrischavez@gmx.us>
Date:   Sat Jul 29 16:58:05 2023 +0000

    Xutil.h: use Bool for XEmptyRegion(), XEqualRegion()

commit 5433cb93513c31e9cba2a447cf48d4b9aeb53285
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Mon Jul 17 08:02:09 2023 +0200

    nls: add two compose sequences for currency symbol `฿` (the Thai baht)
    
    The compose sequences are obvious: the capital B plus the vertical bar.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 2ff401a472c5f210844cc358d5a27bd340546796
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Mon Jul 17 07:56:14 2023 +0200

    nls: reshuffle the compose sequences for currencies into ascending order
    
    That is: sort them according to code point.

commit c0e2d42d411be3245498ffe6484b35421f096c02
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Mon Jul 17 07:27:14 2023 +0200

    nls: add compose sequences for `₲` (guaraní), `₭` (kip), and `₮` (tugrik)
    
    When Ghana, Nigeria, Costa Rica and El Salvador have compose sequences
    for their currency symbols (cedi: `₵`, naira: `₦`, colón: `₡`), then
    Paraguay, Laos, and Mongolia deserve to have such sequences as well.
    
    The sequences should be obvious: the relevant capital letter of the
    name of the currency (G, K, T) plus a vertical bar, a minus sign,
    and an equals sign, respectively.
    
    Also add two sequences for `$` (the dollar sign), for consistency.
    
    Drop the tentative comments for drachma, penny, and austral, as those
    currencies have been obsolete for more than twenty years.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit d9fe5dc735c75398e36998c226d2418137229673
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Mon Jul 17 07:06:51 2023 +0200

    nls: change result of sequence `<C> <bar>` from `¢` (CENT) to `₵` (CEDI)
    
    As a cent is a small coin, it makes no sense to use an uppercase letter
    to compose the `¢` symbol -- having four sequences with a lowercase `c`
    plus a `bar` or a `slash` available for composing `¢` should be enough.
    
    Use the sequence `<C> <bar` (with the uppercase `C`) for composing `₵`
    (the CEDI SIGN) instead.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 031e63060ed11eb8a876aac7515bc5a67371ed6b
Author: Antti Savolainen <antti.savo@gmail.com>
Date:   Thu Aug 17 18:25:20 2023 +0300

    nls: add a compose sequence with double dead_tilde for ≈ (almost equal to)
    
    Some keyboards lack direct asciitilde and instead have only dead tilde.
    This compose sequence allows those keyboards to type the almost equal
    to sign.

commit df2a18c4643bb4a50f2f795a75a905a1032a004a
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Mon Jul 17 17:03:16 2023 +0200

    nls: delete twenty seven untypable Greek compose sequences
    
    Only a few keyboard layouts contain the `dead_iota` keysym, and none
    of those layouts contains the `acute` keysym, so compose sequences
    that combine the two symbols cannot be typed and are thus useless.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 44f908d9283710ffc75b22d2ae7a8948119b3e61
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 15:11:04 2023 -0700

    docs: fix names for XkbKeyKeyType & XkbKeyKeyTypeIndex
    
    Implementation had "Key" twice in these macro names,
    but the docs had only listed it once.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7b16c55063ba4eb258bf91c170e378c1e2d398bd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 15:01:09 2023 -0700

    docs: remove XkbKeySymsOffset
    
    This function was documented but never implemented.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 41a157dfeefe943f5a79948e4f9ef93473144fd8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 14:52:18 2023 -0700

    docs: remove XkbGetNameChanges
    
    This function was documented but never implemented.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3442a8cee25dc0254ee69bcf83a89d287a86c97a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 14:44:18 2023 -0700

    docs: remove XkbChangeIndicators and Xkb{Get,Note}IndicatorChanges
    
    These functions were documented but never implemented.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b7a15d6c6efd0bfddc81cf8443073c4bc1c9772d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 14:31:20 2023 -0700

    docs: XkbSAActionSetCtrls is really named XkbActionSetCtrls
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a1d8dd726757e00e3a774b92456f5c742492475b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 14:18:32 2023 -0700

    docs: remove XkbGetStickyKeysOptions & XkbSetStickyKeysOptions
    
    These functions were documented but never implemented.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bf13f197406fe745c5ff46a4748a41b6646aebf6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 14:09:35 2023 -0700

    docs: remove XkbGetSlowKeysDelay & XkbSetSlowKeysDelay
    
    These functions were documented but never implemented.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit caab7321d2ec14ee776ec329ed2facf0816a3136
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 14:04:15 2023 -0700

    docs: remove XkbGetAccessXTimeout & XkbSetAccessXTimeout
    
    These functions were documented but never implemented.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 843e89bd2467a58cb454705a09d095726b96d93f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 12:58:47 2023 -0700

    docs: remove XkbAllocDeviceLedInfo
    
    This function was documented but never implemented.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2686dd7a9d6e8e02ce2868e446cdec11617ffab4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 20 12:41:42 2023 -0700

    docs: finish removing XkbGetBounceKeysDelay & XkbSetBounceKeysDelay
    
    These functions were documented but never implemented.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 188991fe7e41bbf2f384d0875ab2e25c936b0b41
Author: G. Branden Robinson <g.branden.robinson@gmail.com>
Date:   Sat Jul 29 10:10:00 2023 -0700

    configure script reports stray, confusing "yes"
    
    Closes issue #194
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 70f44d76fd8fad96f33ba5c80a394d68b77dda03
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Sun Jul 16 17:08:52 2023 +0200

    nls: add, correct, and normalize some comments of compose sequences
    
    Add comments for the Khmer digraphs, correct the comments for the
    Arabic lam-alef decompositions, and normalize the comments for the
    Breton digraphs and trigraphs.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 2a57c32e14779cf1c0c1d2da98a9cac21c00c095
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Sun Jun 25 10:01:05 2023 +0200

    nls: harmonize the comments for compose sequences with combining accents
    
    Replace the "WITH" with "plus" and lowercase the "AND" in the comments
    for sequences with combining accents, to make it slightly clearer that
    the resulting string consists of multiple code points.  Also, use the
    word "COMBINING" in the names of the accents, so that these sequences
    can be easily grepped, and drop the redundant word "ACCENT".
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 757ab5ddd86f6cdce24b8ae2c43206b7beb7ab44
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Aug 14 08:33:28 2023 -0700

    Remove XkbSetBounceKeysDelay.man from list of man pages to build
    
    Fixes: f90e6bfa ("rm XkbSetBounceKeysDelay.man")
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f90e6bface92fd192b26f03b7ae745661d9c2690
Author: Walter Harms <wharms@bfs.de>
Date:   Sun Aug 13 22:42:50 2023 +0200

    rm XkbSetBounceKeysDelay.man
    
    there is no function XkbSetBounceKeysDelay().
    It is listed in the specs but never implemented if someone
    does it, feel free to get the file back.
    
    closes issue #105

commit b2c3fb7b4dd4c4c7b9d28c7af7776cccc8e0a98b
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Sat Jul 8 08:11:39 2023 +0200

    nls: use the shorter and more consistent name for the dead capital schwa
    
    The `dead_SCHWA` name is available since xorgproto-2023.1, which was
    released last month.

commit e45dff5c2a51ad0392061208a8ad33211d952385
Author: jmcwilliams403 <jmcwilliams403@gmail.com>
Date:   Fri Jun 16 11:37:20 2023 -0400

    NLS: Drop two math sequences, slightly clean up APL sequences.
    
    * Two compose sequences containing `leftshoe` and `rightshoe` are
    dropped as no keyboard layout uses these keysyms.
    * The compose sequences for `therefore` and `because` in the APL
    block are moved to ascending Unicode order.
    * The comments for the compose sequences for `U2299` are corrected to
    more accurately reflect its sequence nodes and its real name in
    Unicode.

commit af2b6dfab1616dc85be9c9b196e4c56d00447851
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Sun Jun 25 09:09:21 2023 +0200

    nls: delete twenty eight compose sequences that cannot be typed
    
    The letters `Ǫ` (U+01EA, O with ogonek), `Ȩ` (U+0228, E with cedilla),
    `Ȯ` (U+022E, O with dot above), `Ạ` (U+1EA0, A with dot below), and
    their lowercase forms do not occur in any layout of xkeyboard-config,
    meaning that the compose sequences that contained these letters could
    not be typed.  Delete their dead weight.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit ab0442d3fa835ce16559b29532ac7f674f8557f4
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Sat Jun 24 09:46:07 2023 +0200

    nls: remove four unobvious and redundant compose sequences for ¥ (yen)
    
    Composing ¥ with Y and a minus sign seems to have been added in analogy
    to composing £ with L and a minus sign.  But ¥ clearly has a double line
    through it, so using the equals sign for this is far more logical (and
    those compose sequences of course exist).  Also, L plus an equals sign
    produces ₤ (lira), not £ (sterling).  So... make these sequences more
    consistent and allow composing ¥ only with Y/y plus an equals sign.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 933912480c08495428d45988eebb48fcbe62f14b
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Sat Jun 24 10:02:45 2023 +0200

    nls: order a few compose sequences left first, and in mirroring pairs

commit 178c4fefd3b0b4be5e69274108b86a51f08ec3a6
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Fri Jun 16 09:33:03 2023 +0200

    nls: remove three duplicated combining acute accents
    
    For the Cyrillic YU with combining acute accent, the string between
    the quotes contained two U+0301 code points, whereas one is enough,
    like for all the neighboring strings.
    
    (This duplication was found by accident with `nano --mini --cons`.)

commit 695e90ad26f632feb0f58ad94882fb3a263bf114
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jun 15 09:14:48 2023 -0700

    libX11 1.8.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 304a654a0d57bf0f00d8998185f0360332cfa36c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 10 16:30:07 2023 -0700

    InitExt.c: Add bounds checks for extension request, event, & error codes
    
    Fixes CVE-2023-3138: X servers could return values from XQueryExtension
    that would cause Xlib to write entries out-of-bounds of the arrays to
    store them, though this would only overwrite other parts of the Display
    struct, not outside the bounds allocated for that structure.
    
    Reported-by: Gregory James DUCK <gjduck@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 71b08b8af20474bb704a11affaa8ea39b06d5ddf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed May 31 17:45:40 2023 -0700

    libX11 1.8.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 03ba0140940cc76524d83096a47309f5c398541f
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Mon May 22 12:02:06 2023 +0200

    nls: use a slash instead of a combining solidus in compose sequences
    
    First: combining diacritics like the combining long solidus (`U+0338`)
    are not meant to be used in compose sequences.  Second: there is just
    one layout in xkeyboard-config that contains the `U0338` character:
    the deprecated/obsolete German T3 layout.  So, practically speaking,
    these compose sequences with `U0338` were untypable.  So, use a slash
    instead, that almost all layouts have.  This does require that the
    sequence `<Compose> <less> <slash>` changes its meaning from backslash
    to not-less-than (`≮`).  This seems like an acceptable sacrifice, as
    the sequence `<Compose> <slash> <slash>` is a faster/easier sequence
    for the backslash and most layouts contain a backslash already anyway.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 616701317e25b2c0f509f4d93af5dee6de09012d
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Mon May 22 11:19:32 2023 +0200

    nls: delete six compose sequences that cannot be typed
    
    None of the layouts in xkeyboard-config contain `Ohook` or `Uhook`
    or `U+01D3` (U with caron) nor their lowercase forms, so these six
    sequences cannot be typed on any known keyboard.
    
    (Also, the target characters of the sequences with hook and horn
    seem to occur only in Vietnamese, where the horn is part of the
    vowel and the hook is a tonal mark.  All Vietnamese layouts in
    xkeyboard-config contain `Ohorn` and `Uhorn`, and then the five
    tonal marks as dead keys, `dead_hook` among them.  It does not
    make sense to want to apply a horn to a vowel that already has
    a tonal mark, nor is it possible with the Vietnamese layouts.)
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 35d9621d78cb196b4ccd3ee1baa1ce2a21e4674b
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Sun May 21 16:17:32 2023 +0200

    nls: sort three sequences alphabetically in their group, like all others
    
    Also, consistently form uppercase+lowercase pairs, like for most others.

commit 208d550954c7266fa8093b02a2a97047e1478c00
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Thu Apr 13 17:25:35 2023 +0200

    nls: make the Amharic compose sequences use the dead-vowel symbols
    
    Last year, commit 488b156fe2 changed mistaken ASCII characters to the
    code points that were actually used in the Ethiopian keyboard layout.
    
    But those code points were mistaken too: the intention was not to use
    the code point U+FE68 in the layout but the raw symbol code 0xfe68 --
    and so on for the other codes.  The symbols that these raw codes were
    intended to refer to were `dead_a` and friends.  But these dead vowels
    were added under different codes: 0xfe80 to 0xfe8b.
    
    So, correct the Amharic compose sequences to make use of the dead-vowel
    symbols that were specifically added for them fifteen years ago.
    
    (As soon as this is merged, xkeyboard-config wil be changed too to use
    the dead vowels in the Ethiopian layout.)
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 96cbac89a02220eb21e13ca5fa7c8c5adf77028a
Author: jmcwilliams403 <jmcwilliams403@gmail.com>
Date:   Fri Mar 31 09:47:03 2023 -0400

    nls: add compose sequence for capital schwa, and delete a deviant one
    
    This sequence has already been defined in the iso8859-9e compose
    file meant for the Azerbaijani locale, yet for the longest time, only
    the lowercase form has existed in the en_US.UTF-8 master compose
    file. This patch adds one sequence for Latin Capital Letter Schwa for
    the Azerbaijani language.
    
    Additionally, the sequence in the pt_BR.UTF-8 locale for capital
    schwa has been removed as it uses two lowercase e's as part of its
    sequence, which in practice would make typing both `Multi_key e e`
    and `Multi_key E E` output capital schwa.

commit a6528d92b3865adb4f9951df91a714f55f56d59e
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Tue Apr 4 11:35:44 2023 +0200

    XSetScreenSaver.man: restore the part that was accidentally snipped
    
    Four years ago, while removing private macros, commit fe46eb2871
    unintentionally truncated the XSetScreenSaver manpage.  Restore
    the snipped part (minus trailing spaces and a mistaken singular).
    
    This fixes issue #187.
    
    Reported-by: Sergio Gelato
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit eb166af8f9f4184108fe8e0611a09af03d12059e
Author: jmcwilliams403 <jmcwilliams403@gmail.com>
Date:   Fri Mar 24 08:37:32 2023 -0400

    NLS: Remove strange dead_cedilla cedi sign sequences
    
    These sequences appear to be a leftover artifact of auto-generating
    dead_currency sequences for cent and the cedi sign, where chaining
    with ascii "c" vs "ccedilla" would output cent vs the cedi sign
    respectively, but somehow this ended up creating strange sequences
    with dead_cedilla followed by cent or the colon sign to output the
    cedi sign, the latter sequence of which was already removed recently.
    Additionally, sequences beginninng with dead_cedilla followed by
    currency have been removed as they also appear to be related to these
    artifacts. The two remaining sequences beginning with dead_currency
    followed by dead_cedilla are maintained and moved to the stretch of
    dead_currency sequences next to ccedilla, and sorted in order of
    unicode decompositional complexity.

commit 6e889f34679bb96f4d61ef069259c042cb4a9a59
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Fri Mar 24 09:41:48 2023 +0100

    nls: remove twenty two untypable Greek compose sequences
    
    None of the keyboard layouts in xkeyboard-config contains accented
    Greek characters like `Greek_alphaaccent` or `Greek_iotadieresis`
    (nor in their Unicode hexadecimal forms, like U03AC or 0x10003CA),
    so none of these sequences could be typed on an existing layout.
    
    Also, the two sequences that started with `Greek_accentdieresis`
    were plain wrong: making a spacing character into a dead key.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit 98be4cb23a5eadc98f81f05c4696f687119152c8
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Fri Mar 24 09:00:48 2023 +0100

    nls: remove four hundred and sixty untypable Greek compose sequences
    
    None of the keyboard layouts in xkeyboard-config contains code points
    in the range U+1F00..U+1FFF (the Greek Extended block), so none of the
    removed sequences could be typed on an existing layout.
    
    (Of course it is possible that some people have their own private layout
    that contains some of the Greek Extended characters, but if they do,
    then they can also define private compose sequences, when needed.)
    
    Modern Greek does not use these characters with polytonic diacritics
    anyway -- they are useful only for typing traditional Greek.
    
    The useless sequences were removed with this command:
    
      sed -i '/<U1F..>/d' nls/en_US.UTF-8/Compose.pre
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit ff8706a5eae25b8bafce300527079f68a201d27f
Author: Benno Schulenberg <bensberg@telfort.nl>
Date:   Wed Jun 15 11:54:54 2022 +0200

    nls: delete compose sequences that pointlessly mix upper and lower case
    
    It's nice to have compose sequences for things like © and ®, but allowing
    them to be composed also with letters of different case is unneeded.  It
    is good enough to have sequences of only lowercase and only uppercase.
    
    Signed-off-by: Benno Schulenberg <bensberg@telfort.nl>

commit ca99e338a9b8aad300933b1336f9e3c091392213
Author: jmcwilliams403 <jmcwilliams403@gmail.com>
Date:   Sun Mar 12 15:13:27 2023 +0000

    NLS: move dead-caron subscript compositions to the relevant Unicode block

commit dac2985b347cebc0f631e43e41eaeddb68de1676
Author: jmcwilliams403 <jmcwilliams403@gmail.com>
Date:   Sun Mar 12 14:49:47 2023 +0000

    NLS: implement the expansion of the six Breton N-graph keysyms
    
    These one-keysym-to-multiple-characters sequences will allow fully defining
    the Breton keyboard layout, without needing custom compose sequences.

commit e45ca7b41dcd3ace7681d6897505f85d374640f2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Mar 14 10:22:48 2023 -0700

    gitlab CI: add workflow rules
    
    Needed due to the gitlab config changes described in:
     https://gitlab.freedesktop.org/freedesktop/freedesktop/-/issues/438
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 72eeeb6dedc39f68608312eb0001f77fffccd499
Author: jmcwilliams403 <jmcwilliams403@gmail.com>
Date:   Sun Mar 5 13:33:38 2023 +0000

    NLS: move long S compositions to respective blocks

commit 8bbbed75a20556e41658103265974decee974645
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 4 10:44:45 2023 -0800

    configure: Use LT_INIT from libtool 2 instead of deprecated AC_PROG_LIBTOOL
    
    AC_PROG_LIBTOOL was replaced by LT_INIT in libtool 2 in 2008,
    so it's time to rely on it.
    
    Clears autoconf warnings:
    
    configure.ac:20: warning: The macro `AC_PROG_LIBTOOL' is obsolete.
    configure.ac:20: You should run autoupdate.
    m4/libtool.m4:100: AC_PROG_LIBTOOL is expanded from...
    configure.ac:20: the top level
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 53bf8584e8d7d5d4a4a8114bff26a6f631c7fac1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 6 14:09:45 2023 -0800

    configure: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an autoconf warning.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 31a9451111fb1e3ae1199d44f94cd0b134ca455d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 6 13:13:21 2023 -0800

    configure: raise minimum autoconf requirement to 2.70
    
    Needed for builds on NetBSD to work correctly, since it depends on
    AC_USE_SYSTEM_EXTENSIONS defining _OPENBSD_SOURCE to expose the
    prototype for reallocarray() in the system headers.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1ba02f878f83e3b42389547e01b24371f0a50e60
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 6 13:32:02 2023 -0800

    gitlab CI: Add libtool to required packages
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fc5ec8edda1efdf5d66db4e76796e3c407527b3b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 4 12:02:29 2023 -0800

    libX11 1.8.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ba548ed1688d4d5a83913218155d0ddf616ff176
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 15 11:39:20 2023 -0800
[--snip--]
